/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.state.profile.horizontal;

import java.util.Locale;

import org.apache.log4j.Logger;

public class HorizontalProfileMeshOutputState
extends      HorizontalProfileOutputState
{
    private static Logger logger =
        Logger.getLogger(HorizontalProfileMeshOutputState.class);


    public HorizontalProfileMeshOutputState() {
        super();
    }


    /**
     * Creates and returns the subtitle of a chart.
     *
     * @param locale The Locale used to adjust the language of the subtitle.
     * @param uuid The UUID of the current artifact.
     * @return the timeperiod of this chart and the start coordinate.
     */
    @Override
    protected String createChartSubtitle(Locale locale, String uuid) {
        logger.debug("create chart subtitle.");

        StringBuilder sb = new StringBuilder();
        String time      = getData(locale, "dateid");
        if (time != null) {
            sb.append(time);
        }

        String coordinate = getData(locale, "mesh_point");
        if (coordinate != null) {
            sb.append("\n");
            sb.append(coordinate);
        }

        String depth = getData(locale, "depthid");
        if (depth != null) {
            sb.append("\n");
            sb.append(depth);
        }

        return sb.toString();
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
